<?xml version="1.0" encoding="UTF-8"?>
<features xmlns="http://karaf.apache.org/xmlns/features/v1.0.0">

  <feature name="camunda-spring" version="3.1.2.RELEASE">
    <bundle>mvn:org.springframework/spring-asm/3.1.2.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-core/3.1.2.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-beans/3.1.2.RELEASE</bundle>
  </feature>

  <feature name="javax-bundles" version="7.7.0">
    <bundle>mvn:javax.persistence/com.springsource.javax.persistence/1.99.0</bundle>
    <bundle>mvn:javax.servlet/com.springsource.javax.servlet/2.5.0</bundle>
    <bundle>mvn:javax.enterprise/cdi-api/1.2</bundle>
    <bundle>mvn:javax.inject/com.springsource.javax.inject/1.0.0</bundle>
    <bundle>mvn:javax.el/javax.el-api/2.2.5</bundle>
    <bundle>mvn:javax.annotation/javax.annotation-api/1.2</bundle>
    <bundle>mvn:javax.interceptor/javax.interceptor-api/1.2</bundle>
    <bundle>mvn:javax.transaction/javax.transaction-api/1.2</bundle>
    <bundle>mvn:javax.ejb/javax.ejb-api/3.2</bundle>
    <bundle>mvn:javax.mail/com.springsource.javax.mail/1.4.5</bundle>
  </feature>

  <feature name="camunda-optionals" version="7.7.0">
    <feature version="7.7.0">javax-bundles</feature>
    <bundle>mvn:org.apache.catalina/com.springsource.org.apache.catalina/6.0.24</bundle>
    <bundle>mvn:org.apache.coyote/com.springsource.org.apache.coyote/6.0.24</bundle>
    <bundle>mvn:org.apache.juli/com.springsource.org.apache.juli.extras/6.0.24</bundle>
    <bundle>mvn:org.apache.commons/commons-email/1.3.2</bundle>
    <bundle>mvn:org.apache.ant/com.springsource.org.apache.tools.ant/1.7.1</bundle>
    <bundle>mvn:commons-collections/commons-collections/3.2.2</bundle>
    <bundle>mvn:commons-beanutils/commons-beanutils/1.9.1</bundle>
  </feature>

  <feature name="camunda-commons" version="1.4.0">
    <bundle>mvn:org.camunda.commons/camunda-commons-logging/1.4.0</bundle>
    <bundle>mvn:org.camunda.commons/camunda-commons-utils/1.4.0</bundle>
    <bundle>mvn:org.camunda.commons/camunda-commons-typed-values/1.4.0</bundle>
  </feature>

  <feature name="camunda-models" version="7.7.0">
    <bundle>mvn:org.camunda.bpm.model/camunda-xml-model/7.7.0</bundle>
    <bundle>mvn:org.camunda.bpm.model/camunda-bpmn-model/7.7.0</bundle>
    <bundle>mvn:org.camunda.bpm.model/camunda-cmmn-model/7.7.0</bundle>
  </feature>

  <feature name="camunda-spin" version="1.3.1">
    <feature version="1.4.0">camunda-commons</feature>
    <bundle>mvn:net.minidev/json-smart/1.3</bundle>
    <bundle>mvn:org.codehaus.jackson/jackson-core-asl/1.9.13</bundle>
    <bundle>mvn:org.codehaus.jackson/jackson-mapper-asl/1.9.13</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-core/2.5.3</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-annotations/2.5.3</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-databind/2.5.3</bundle>
    <bundle>mvn:com.jayway.jsonpath/json-path/0.9.1</bundle>
    <bundle>mvn:org.camunda.spin/camunda-spin-core/1.3.1</bundle>
  </feature>

  <feature name="camunda-connect" version="1.0.4">
    <feature version="1.4.0">camunda-commons</feature>
    <bundle>mvn:org.apache.httpcomponents/httpcore-osgi/4.3.2</bundle>
    <bundle>mvn:org.apache.httpcomponents/httpclient-osgi/4.3.5</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-core/1.0.4</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-soap-http-client/1.0.4</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-http-client/1.0.4</bundle>
  </feature>
  
  <feature name="camunda-dmn" version="7.7.0">
    <feature version="1.4.0">camunda-commons</feature>
    <bundle>mvn:de.odysseus.juel/juel-api/2.2.7</bundle>
    <bundle>mvn:de.odysseus.juel/juel-impl/2.2.7</bundle>
    <bundle>mvn:org.camunda.bpm.dmn/camunda-engine-feel-api/7.7.0</bundle>
    <bundle>mvn:org.camunda.bpm.dmn/camunda-engine-feel-juel/7.7.0</bundle>
    <bundle>mvn:org.camunda.bpm.model/camunda-dmn-model/7.7.0</bundle>
    <bundle>mvn:org.camunda.bpm.dmn/camunda-engine-dmn/7.7.0</bundle>
  </feature>

  <feature name="camunda-core" version="7.7.0">
    <feature version="7.7.0">camunda-models</feature>
    <feature version="1.4.0">camunda-commons</feature>
    <feature version="7.7.0">camunda-dmn</feature>
    <bundle>mvn:commons-logging/commons-logging/1.1.2</bundle>
    <bundle>mvn:joda-time/joda-time/2.1</bundle>
    <bundle>mvn:com.h2database/h2/1.3.168</bundle>
    <bundle>mvn:org.mybatis/mybatis/3.2.8</bundle>
    <bundle>mvn:com.fasterxml.uuid/java-uuid-generator/3.1.2</bundle>
    <bundle>mvn:com.google.protobuf/protobuf-java/2.5.0</bundle>
    <bundle>mvn:org.jvnet.staxex/stax-ex/1.7.5</bundle>
    <bundle>mvn:org.camunda.bpm/camunda-engine/7.7.0</bundle>
    <bundle>mvn:org.apache.felix/org.apache.felix.dependencymanager/3.2.0</bundle>
    <bundle>mvn:org.apache.felix/org.apache.felix.metatype/1.1.2</bundle>
    <bundle>mvn:org.camunda.bpm.extension.osgi/camunda-bpm-osgi/4.1.0</bundle>
  </feature>

  <feature name="camunda-bpm-karaf-feature-minimal" version="4.1.0">
    <feature version="7.7.0">camunda-core</feature>
  </feature>

  <feature name="camunda-bpm-karaf-feature-full" version="4.1.0">
    <feature version="3.1.2.RELEASE">camunda-spring</feature>
    <feature version="7.7.0">camunda-optionals</feature>
    <feature version="7.7.0">camunda-core</feature>
    <feature version="1.0.4">camunda-connect</feature>
    <feature version="1.3.1">camunda-spin</feature>
  </feature>
</features>
